#!/bin/sh -e
# Copyright (C)2004..2011 @BABOLO http://www.babolo.ru/
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: test.sh,v 1.3 2011/12/13 17:39:05 babolo Exp $

tools/gen 0x50000 8192 > tools/test.t
tools/test -pf $1 -b 8192 -r tools/test.t
tools/test -pf $1 -b 16001 -r tools/test.t
tools/gen 0x50000 16384 | tools/test -pf $1 -b 8192
tools/gen 0x50000 16999 | tools/test -pf $1 -b 8192
tools/gen 0x50000 16384 | tools/test -pf $1 -b 33333
tools/gen 0x50000 16384 | tools/test -pf $1 456 34678 59687 345763
tools/gen -yt 10000 25 5 | tools/test -pf $1 -b 8192 -x yyy
tools/gen -yt 10000 25 5 | tools/test -pf $1 -b 8192 -x yyyyyy
tools/gen -yt 10000 25 5 | tools/test -pf $1 -b 8192 -x abacabac
tools/gen -t 10000 25 5 | tools/test -pf $1 -b 8192 -x ''
rm -f tools/test.t
tools/gen 1000000 50000 > tools/test.t
tools/test -pf $1 -r tools/test.t 34 56 67 900000
